
#ifndef TEST_IRME_H
#define TEST_IRME_H

/* std and typedef related */
#include <stdio.h>
#include "typedefs.h"
#include "StdRegMacros.h"

/* The definition of test step enum */
typedef enum
{
  TEST_STEP_1 = 1,
  TEST_STEP_2,
  TEST_STEP_3,
  TEST_STEP_4,
  TEST_STEP_5,
  TEST_STEP_6,
  TEST_STEP_7,
  TEST_STEP_8,
  TEST_STEP_9,
  
}TEST_STEP_TYPE;

/* The funcitons used in test cases*/
void print_test_start(const uint8_t *i_p_test_case);
void print_test_end(const uint8_t *i_p_test_case);
void print_test_step(const uint8_t i_cur_step);
void sys_delay(uint32_t i_delay_time);

#endif
